# sphinx_gallery.docs_resolv

Link resolver objects.

## Functions

sphinx_gallery.docs_resolv.embed_code_links(app: Sphinx, exception: Exception | None) → None

  Embed hyperlinks to documentation into example code.

sphinx_gallery.docs_resolv.get_data(url: str, gallery_dir: str) → str

  Persistent dictionary usage to retrieve the search indexes.

sphinx_gallery.docs_resolv.parse_sphinx_docopts(index: str) → dict[str, str | int | bool]

  Parse the Sphinx index for documentation options.

  Parameters:

    index (str) – The Sphinx index page

  Returns:

    docopts – The documentation options from the page.

  Return type:

    dict

## Classes

class sphinx_gallery.docs_resolv.SphinxDocLinkResolver(config: dict[str, Any], doc_url: str | Path, gallery_dir: str, relative: bool = False)

  Resolve documentation links using searchindex.js generated by Sphinx.

  Parameters:

    - doc_url (str | pathlib.Path) – The base URL of the project website.

    - relative (bool) – Return relative links (only useful for links to documentation of this package).

  resolve(cobj: dict[str, Any], this_url: str) → tuple[str | None, Any | None]

    Resolve the link to the documentation, returns None if not found.

    Parameters:

      - cobj (Dict[str, Any]) –

        Dict with information about the “code object” for which we are resolving a link.

        > - cobj[‘name’] : function or class name (str)

        > - cobj[‘module’] : module name (str)

        > - cobj[‘module_short’] : shortened module name (str)

        > - cobj[‘is_class’] : whether object is class (bool)

        > - cobj[‘is_explicit’] : whether object is an explicit backreference (referred to by sphinx markup) (bool)

      - this_url (str) – URL of the current page. Needed to construct relative URLs (only used if relative=True in constructor).

    Returns:

      - link (str or None) – The link (URL) to the documentation.

      - type_ (str) – The type. Only returned if return_type is True.